Bug 1624977 (CVE-2018-16336)

Summary: CVE-2018-16336 exiv2: heap-based buffer over-read via a crafted image file
Product: [Other] Security Response Reporter: Laura Pardo <lpardo>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED WONTFIX QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: jgrulich, michel, rdieter
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-07-12 13:05:59 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1624978, 1624979    
Bug Blocks: 1624980    

Description Laura Pardo 2018-09-03 19:17:59 UTC
A flaw was found in Exiv2::Internal::PngChunk::parseTXTChunk in Exiv2 v0.26 allows remote attackers to cause a denial of service (heap-based buffer over-read) via a crafted image file, a different vulnerability than CVE-2018-10999.


References:
https://github.com/Exiv2/exiv2/issues/400

Comment 1 Laura Pardo 2018-09-03 19:18:28 UTC
Created exiv2 tracking bugs for this issue:

Affects: fedora-all [bug 1624978]

Comment 3 Huzaifa S. Sidhpurwala 2018-09-05 04:54:51 UTC
Upstream patch:
https://github.com/Exiv2/exiv2/commit/35b3e596edacd2437c2c5d3dd2b5c9502626163d

Comment 4 Product Security DevOps Team 2019-07-12 13:05:59 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2018-16336